> ## Documentation Index
> Fetch the complete documentation index at: https://developer.novacpayment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a virtual account



## OpenAPI

````yaml post /api/v1/virtual-account
openapi: 3.0.1
info:
  title: NOVAC API
  version: v1
servers:
  - url: https://api.novacpayment.com/
security:
  - Bearer: []
paths:
  /api/v1/virtual-account:
    post:
      tags:
        - VirtualAccount
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VanAccountCreationRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/VanAccountCreationRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/VanAccountCreationRequest'
      responses:
        '200':
          description: OK
components:
  schemas:
    VanAccountCreationRequest:
      type: object
      properties:
        reference:
          type: string
          nullable: true
          description: The unique reference for the VAN account creation
        amount:
          type: number
          format: double
          description: The amount to be associated with the VAN account
        accountType:
          type: string
          nullable: true
          description: The type of account to be created (e.g., reserved, checkout)
        accountName:
          type: string
          nullable: true
          description: The name of the account holder for the VAN account
        bankCode:
          type: string
          nullable: true
          description: The code of the bank where the VAN account will be created
        firstName:
          type: string
          nullable: true
          description: The first name of the account holder for the VAN account
        lastName:
          type: string
          nullable: true
          description: The last name of the account holder for the VAN account
        customerEmail:
          type: string
          nullable: true
          description: The email address of the account holder for the VAN account
        expiryInMinutes:
          type: integer
          format: int32
          description: The expiry time in minutes for the VAN account
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        Input your API key (e.g. your public key) as a Bearer token to access
        this API.
      name: Authorization
      in: header

````